
From: Jeff Dike <jdike@addtoit.com>

Add a declaration for ptrace_setfpregs

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/include/ptrace_user.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/um/include/ptrace_user.h~uml-declare-ptrace_setfpregs arch/um/include/ptrace_user.h
--- 25/arch/um/include/ptrace_user.h~uml-declare-ptrace_setfpregs	Fri Dec  3 13:50:44 2004
+++ 25-akpm/arch/um/include/ptrace_user.h	Fri Dec  3 13:50:44 2004
@@ -11,6 +11,7 @@
 extern int ptrace_getregs(long pid, unsigned long *regs_out);
 extern int ptrace_setregs(long pid, unsigned long *regs_in);
 extern int ptrace_getfpregs(long pid, unsigned long *regs_out);
+extern int ptrace_setfpregs(long pid, unsigned long *regs);
 extern void arch_enter_kernel(void *task, int pid);
 extern void arch_leave_kernel(void *task, int pid);
 extern void ptrace_pokeuser(unsigned long addr, unsigned long data);
_
